## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate cmake

Name:           rust-cmake
Version:        0.1.54
Release:        %autorelease
Summary:        Build dependency for running cmake to build a native library

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/cmake
Source:         %{crates_source}
# * prevent -O2 and -g flags from being stripped from CFLAGS
Patch2:         0001-do-not-strip-O-and-g-flags-from-passed-CFLAGS.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  /usr/bin/cmake

%global _description %{expand:
A build dependency for running `cmake` to build a native library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       /usr/bin/cmake

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu Mar 13 2025 Fabio Valentini <decathorpe@gmail.com> - 0.1.54-2
- Prevent -O2 and -g flags from being stripped from CFLAGS

* Mon Feb 10 2025 Fabio Valentini <decathorpe@gmail.com> - 0.1.54-1
- Update to version 0.1.54; Fixes RHBZ#2342474

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.52-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Nov 26 2024 Fabio Valentini <decathorpe@gmail.com> - 0.1.52-1
- Update to version 0.1.52; Fixes RHBZ#2328817

* Tue Sep 17 2024 Fabio Valentini <decathorpe@gmail.com> - 0.1.51-1
- Update to version 0.1.51; Fixes RHBZ#2305105

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.50-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.50-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.50-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Mar 30 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.50-1
- Update to version 0.1.50; Fixes RHBZ#2182241

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.49-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 10 2022 Fabio Valentini <decathorpe@gmail.com> - 0.1.49-1
- Update to version 0.1.49; Fixes RHBZ#2138537

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.48-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.48-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jan 07 2022 Fabio Valentini <decathorpe@gmail.com> - 0.1.48-1
- Update to version 0.1.48; Fixes RHBZ#2037420

* Sat Nov 06 2021 Fabio Valentini <decathorpe@gmail.com> - 0.1.46-1
- Update to version 0.1.46; Fixes RHBZ#2012931

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.45-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.45-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 19 2020 Fabio Valentini <decathorpe@gmail.com> - 0.1.45-1
- Update to version 0.1.45.
- Fixes RHBZ#1898177

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.44-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon May 18 2020 Josh Stone <jistone@redhat.com> - 0.1.44-1
- Update to 0.1.44

* Thu May 14 2020 Josh Stone <jistone@redhat.com> - 0.1.43-1
- Update to 0.1.43

* Mon Feb 17 19:44:33 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.1.42-3
- Update requires

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.42-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Nov 20 2019 Josh Stone <jistone@redhat.com> - 0.1.42-1
- Update to 0.1.42

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.40-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 01 2019 Josh Stone <jistone@redhat.com> - 0.1.40-1
- Update to 0.1.40

* Thu May 09 2019 Josh Stone <jistone@redhat.com> - 0.1.39-1
- Update to 0.1.39

* Mon Apr 08 2019 Josh Stone <jistone@redhat.com> - 0.1.38-1
- Update to 0.1.38

* Thu Mar 28 2019 Josh Stone <jistone@redhat.com> - 0.1.37-1
- Update to 0.1.37

* Tue Mar 26 2019 Josh Stone <jistone@redhat.com> - 0.1.36-1
- Update to 0.1.36
- Adapt to new packaging

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Oct 01 2018 Josh Stone <jistone@redhat.com> - 0.1.35-1
- Update to 0.1.35

* Mon Sep 17 2018 Josh Stone <jistone@redhat.com> - 0.1.34-1
- Update to 0.1.34

* Thu Aug 30 2018 Josh Stone <jistone@redhat.com> - 0.1.33-1
- Update to 0.1.33

* Sat Aug 04 2018 Josh Stone <jistone@redhat.com> - 0.1.32-1
- Update to 0.1.32

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.31-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri May 04 2018 Josh Stone <jistone@redhat.com> - 0.1.31-1
- Update to 0.1.31

* Fri Apr 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.30-1
- Update to 0.1.30

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.29-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.29-2
- Rebuild for rust-packaging v5

* Sat Dec 09 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.29-1
- Update to 0.1.29

* Sat Nov 18 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.28-1
- Update to 0.1.28

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.24-1
- Update to 0.1.24

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.21-2
- Port to use rust-packaging

* Tue Feb 28 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.21-1
- Update to 0.1.21

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.20-1
- Initial package

## END: Generated by rpmautospec
